import { request } from 'umi';

export async function addRole(data: string){
  return request('/api/admin/role',{
    method:'post',
    data,
  });
}

export async function getPermissions(){
  return request('/api/admin/permissions',{
    method:'post',
  });
}

export async function deleteRole(data: string){
  return request('/api/admin/role/delete',{
    method:'post',
    data
  });
}

export async function getRolePermission(id: string){
  return request('/api/admin/role/rolePermission',{
    method:'post',
    data:{
      id
    }
  });
}

